Subject: [Sip] Caller-Preferences: Representing negated Boolean feature tags

From: [email-masked]
Date: Tue, 6 Apr 2004 13:31:24 +0200

Hello,

I am implementing SIP Caller-Preferences related functionalities, and there is one thing that is not clear for me after reading the relevant drafts and rfcs: Does it make sense to negate a Boolean type feature tag? like the audio in the example:

   (& (! (audio=TRUE))
      (video=TRUE)
      (sip.mobility=fixed)
      (message=TRUE)
      (| (sip.methods=INVITE) (sip.methods=OPTIONS) (sip.methods=BYE)
         (sip.methods=CANCEL) (sip.methods=ACK))
      (| (sip.schemes=sip) (sip.schemes=http)))

If yes, then the next question arises: How can I represent negated Boolean type feature tags in SIP header parameters? 
According to draft-ietf-sip-callerprefs-10, 

   (& (sip.mobility=fixed)
      (| (! (sip.events=presence)) (sip.events=winfo))
      (| (language=en) (language=de))
      (sip.description="PC")
      (sip.newparam=TRUE)
      (rangeparam=-4..5125/1000))

this declaration can be turned into this representation:

   Accept-Contact:*;mobility="fixed";events="!presence,winfo";language="en,de"
    ;description="<PC>";+sip.newparam;+rangeparam="#-4:+5.125"

(I reversed the order as it was in the document)

Here the events are negated and that is indicated by the exclamation mark at the beginning of the event-tag-value. Boolean type tags are turned into flag parameters with no value. So then how can the very first example represented?

Thanks in advance, best regards: 

Viktor Bekesi
Nokia Networks
+36-20 9849-202

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip